<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-title>My Contact List </ion-title>
        <ion-buttons slot="end">
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>
    <div class="list-holder ion-padding-horizontal">
        <div class="the-list">
            <ion-item *ngFor="let contact of myContactList" class="card-border-round card-shadow" lines="none">
                <div class="thumb avatar-left-margin" slot="start">
                    <img class="avatar-max-width" [src]="contact?.avatarUrl" alt="Profile picture">
                </div>
                <ion-label>
                    <h4>{{contact.name}}</h4>
                    <p>
                        <ion-icon slot="icon-only" name="call-outline" color="primary"></ion-icon>
                        {{contact?.phone1}} / {{contact?.phone2}}
                    </p>
                    <p>
                        <ion-icon slot="icon-only" name="home-outline" color="primary"></ion-icon>
                        {{contact?.currentHospital}}
                    </p>
                </ion-label>
                <div class="no-inline-start-margin" slot="end">
                    <ion-button color="success" (click)="onCallClick()">
                        <ion-icon name="call-outline"></ion-icon>
                    </ion-button>
                </div>
            </ion-item>
        </div>
    </div>
</ion-content>